<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_28c85ce81fee653298" . "0262893b6f2425" => base64_decode("dXNlcm5" . "hbWU="), "_8cca4dd34e20c5344" . "bb2a30f2533c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "user" . "_id" => base64_decode("dXNlcl9pZA=" . "="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8cca4dd34e20c5344bb2a30f25" . "33c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_28c85ce81fee65329" . "80262893b6f2425"]);
    }
}